package com.nantian.cloud.dbcapp.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.dbcapp.entity.TEnergyTceCorrect;
import com.nantian.cloud.dbcapp.mapper.record.TEnergyTceCorrectMapper;
import com.nantian.cloud.dbcapp.service.TEnergyTceCorrectService;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service("TEnergyTceCorrectService")
public class TEnergyTceCorrectImpl extends ServiceImpl<TEnergyTceCorrectMapper, TEnergyTceCorrect> implements TEnergyTceCorrectService {
    @Override
    public Map<String, Object> getList(String epc) {
        Map<String,Object> map = new HashMap<>();
        List<Map<String, Object>> list = baseMapper.getList(epc);
        List<Map<String, Object>> correctList = baseMapper.getCorrectList();
        map.put("list",list);
        map.put("assisList",correctList);
        return map;
    }
}
